Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::EthInfo Struct Reference

Ethernet interface info. More...

## Public Attributes
EapStatus | eapStatus
| `status` of EAP authentication
EthLinkMode | linkMode
| Current link mode.
boolean | linkModeValid
| `true` if linkMode is valid
boolean | autonegEnabled
| `true` if auto-negotiation is enabled
boolean | linkDetected
| `true` if a link is detected
vector< EthLinkMode > | supportedLinkModes
| Supported link modes.

## Detailed Description

Ethernet interface info.

Definition at line 251 of file Net.idl.

## Member Data Documentation

## ◆ autonegEnabled

boolean net::EthInfo::autonegEnabled

`true` if auto-negotiation is enabled

Definition at line 255 of file Net.idl.

## ◆ eapStatus

EapStatus net::EthInfo::eapStatus

`status` of EAP authentication

Definition at line 252 of file Net.idl.

## ◆ linkDetected

boolean net::EthInfo::linkDetected

`true` if a link is detected

Definition at line 256 of file Net.idl.

## ◆ linkMode

EthLinkMode net::EthInfo::linkMode

Current link mode.

Definition at line 253 of file Net.idl.

## ◆ linkModeValid

boolean net::EthInfo::linkModeValid

`true` if linkMode is valid

Definition at line 254 of file Net.idl.

## ◆ supportedLinkModes

vector<EthLinkMode> net::EthInfo::supportedLinkModes

Supported link modes.

Definition at line 257 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl